/*
 * @Author: XianKaiQun
 * @Date: 2020-08-17 16:43:56
 * @LastEditors: XianKaiQun
 * @LastEditTime: 2020-08-17 16:44:17
 * @Description: 
 */
part of '../index.dart';

class _HintComponent extends StatelessWidget {
  const _HintComponent({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
//final  store = Provider.of<_Store>(context, listen: false);
    final style = WTheme.of(context);
    final colorScheme = style.colorScheme;
//final theme = Theme.of(context);
//final textTheme = theme.textTheme;
    return Wisdom.rich(
      alignment: Alignment.centerLeft,
      color: colorScheme.danger.withOpacity(0.1),
      padding: EdgeInsets.symmetric(horizontal: 15.pt, vertical: 7.pt),
      children: [
        TextSpan(
          text: '此设备未登记，请先进行登记',
          style: TextStyle(color: colorScheme.danger),
        ),
        TextSpan(
          text: '(带',
          style: TextStyle(color: colorScheme.minor),
        ),
        TextSpan(
          text: '*',
          style: TextStyle(color: colorScheme.danger),
        ),
        TextSpan(
          text: '为必填项)',
          style: TextStyle(color: colorScheme.minor),
        ),
      ],
    ).asSliver();
  }
}
